# class Gst::Caps

### Public Class Methods

any() click to toggle source

    # File lib/gst/caps.rb, line 20
    def any
      new(:any)
    end

empty() click to toggle source

    # File lib/gst/caps.rb, line 24
    def empty
      new(:empty)
    end

new(*args) click to toggle source

    # File lib/gst/caps.rb, line 30
    def initialize(*args)
      if args.size == 1
        case args[0]
        when :any
          initialize_new_any
          return
        when :empty
          initialize_new_empty
          return
        end
      end
      initialize_raw(*args)
    end

Also aliased as: initialize_raw

### Public Instance Methods

initialize_raw(*args)
Alias for: new
structures() click to toggle source

    # File lib/gst/caps.rb, line 44
    def structures
      size.times.collect do |i|
        get_structure(i)
      end
    end